Skip to main content

Send button message

Endpoint: {{baseUrl}}/message/button​

Method: POST
Category: Send message


📝 Description​

This endpoint is used to send a button message.
You must include a valid access_token in the headers.


🔐 Headers​

  • Authorization: Bearer {{access_token}}
  • Content-Type: application/json

📥 Request Parameters​

FieldTypeRequiredDescription
phonestring✅Recipient phone number (digits only)
titlestring✅Message title
descriptionstring✅Message description
footerTextstring✅Footer text
buttonsarray✅Buttons array (must follow button type rules)
instance_idstring✅Your instance ID

⚙️ Button Rules​

  • Button Types: reply, url, copy
  • All buttons must be the same type.
  • If type is copy, only 1 button is allowed.
  • If type is reply or url, 1 to 3 buttons are allowed.
  • Mixed types are not allowed.

📦 Example Request Body​

{
"phone": "{{phoneNumber}}",
"title": "Button Title",
"description": "Button description",
"footerText": "footer button\nhttps://rasil.io",
"buttons": [
{
"type": "reply",
"displayText": "Btn 1",
"id": "123"
},
{
"type": "reply",
"displayText": "Btn 2",
"id": "333"
}
],
"instance_id": "{{instanceId}}"
}